#include <stdlib.h>
#include <math.h>

int main()
{
    long long int l,rr,i,max=0;
    int p,q,r;
    float n;
    scanf("%d %d %d %lld %lld",&p,&q,&r,&l,&rr);
    for (i=l;i<=rr;i++)
    {
        n=(float)ceil(i/q)+ceil(i/r)+ceil(i/p)+1;
        if (i==ceil(n/q)+ceil(n/r)+ceil(n/p)-1)
    {
        max=max+1;
    }

    }
    printf("\n%lld",max);


    return 0;
}